data <- read.table("hdpp_data_fill.excess.out",header=T,sep=",")
data <- data[,c(2,1,3)]

IDfactor <- as.factor(sort(data[,1]))
numdatarows <- length(data[,1])
numpeople <- length(unique(IDfactor))
maxobs <- max(summary(IDfactor,maxsum=10000))

Y <- matrix(NA,nrow=numpeople,ncol=maxobs)
Yearmat <- matrix(NA,nrow=numpeople,ncol=maxobs)
IDmat <- matrix(NA,nrow=numpeople,ncol=maxobs)
numobs <- rep(NA,numpeople)
for (i in 1:numpeople){
	curID <- unique(IDfactor)[i]
	numobs[i] <- sum(data[,1]==curID)
	IDmat[i,1:numobs[i]] <- data[data[,1]==curID,1]
	Yearmat[i,1:numobs[i]] <- data[data[,1]==curID,2]
	Y[i,1:numobs[i]] <- data[data[,1]==curID,3]
	print(i)
}

write.table(Y,"hdpp_data_fill.excess.out.Y",row.names=F,col.names=F,quote=F,sep=",")
write.table(Yearmat,"hdpp_data_fill.excess.out.Year",row.names=F,col.names=F,quote=F,sep=",")
write.table(IDmat,"hdpp_data_fill.excess.out.ID",row.names=F,col.names=F,quote=F,sep=",")
