%% This file runs the code to produce Figure 2 in the paper.
% It is generated using the estimates of f(sigma^2|gamma=0), myfsigzero,
% which are an output from Structural_Estimation_with_Covariates.m

points=myfsigzero./s2bins-1;


%% Uncomment the following line to preserve the X-limits of the axes
%xlim(axes1,[0 10.3]);
figure3 = figure('Color',[1 1 1]);

% Create axes
axes1 = axes('Parent',figure3);
xlim(axes1,[0 10.3])
box(axes1,'on');
hold(axes1,'all');

% Create errorbar
errorbar((1:1:10),points,points-(fsig0boundsdown./s2bins-1),(fsig0boundsup./s2bins-1)-points,'MarkerSize',19,'Marker','.','LineStyle','none',...
    'LineWidth',1.5,...
    'Color',[0 0 0]);

% Create xlabel
xlabel('{\bf $\sigma^2$ Bins}','Interpreter','latex');
hold on
plot((0:.001:10.3),0.*(0:.001:10.3),'LineStyle',':','Color',[0 0 0]);
hold off
print(figure3,'-dpdf','H:\Research\IncomeVolatility\WriteUp\QE_GoldCopy\Raw_Fig_PDFs\Figure_2.pdf')