

rhovec=(0:.005:.995)';
deltamuvals=[.1;.5;.9];
Svals=[.1;.5;.9];
Svec=(0:.005:1)';
rhoval=.1;
rhovals=[.1;.5;.9];
mat1=zeros(length(rhovec),length(Svals));
deltamumat=mat1;
mat2=zeros(length(Svec),length(rhovals));
deltamumat2=mat2;


for i=1:length(Svals);
    % this is total delta_mu, not net, for fixed S and varying rho
    deltamu=(1./mybetainv).*log(rhovec.*exp(Svals(i).*mybetainv)+1-rhovec);
    % mat1 holds net fraction of switchers as a percentage of groups 2 and 3
    mat1(:,i)=(-rhovec+rhovec.*exp(Svals(i).*mybetainv)./(rhovec.*exp(Svals(i).*mybetainv)+(1-rhovec)))./(1-rhovec);
    % this guy does delta_mu due to switchers divided by fraction that
    % switch (where fraction that switch are NOT normalized by groups 2+3)
    deltamumat(:,i)=(deltamu-rhovec.*Svals(i))./(mat1(:,i).*(1-rhovec));
end

for i=1:length(rhovals);
    % deltamuvec is total delta_mu value (not just net) for different rhovals but a vector of S values
    deltamuvec=(1./mybetainv).*log(rhovals(i).*exp(Svec.*mybetainv)+1-rhovals(i));
    % mat2 is net fraction of switchers. It is total switcher fraction divided by 1-rho
    mat2(:,i)=(-rhovals(i)+rhovals(i).*exp(Svec.*mybetainv)./(rhovals(i).*exp(Svec.*mybetainv)+(1-rhovals(i))))./(1-rhovals(i));
    % deltamumat2 houses deltamuvec vector for different values of rhoval
    deltamumat2(:,i)=deltamuvec;
end

% these guys are plot of delta_mu vs. S, holding rho constant; delta_mu divided by fraction that switch (same as above)
% numerator is net delta_mu due to switchers, it is beta*log(e^{S/beta}+1-rho)-S*rho
% denominator is net fraction that switch (divided by total, NOT divided by groups 2 and 3 only
deltamuvec2=((1./mybetainv).*log(rhovals(1).*exp(Svec.*mybetainv)+1-rhovals(1))-rhovals(1).*Svec)...
    ./(mat2(:,1)*(1-rhovals(1)));
%(-rhoval+rhoval.*exp(deltamuvec.*mybetainv)./(rhoval.*exp(deltamuvec.*mybetainv)+(1-rhoval)));
rhoval1=.5;
deltamuvec3=((1./mybetainv).*log(rhovals(2).*exp(Svec.*mybetainv)+1-rhovals(2))-rhovals(2).*Svec)...
    ./(mat2(:,2)*(1-rhovals(2)));
rhoval2=.9;
deltamuvec4=((1./mybetainv).*log(rhovals(3).*exp(Svec.*mybetainv)+1-rhovals(3))-rhovals(3).*Svec)...
    ./(mat2(:,3)*(1-rhovals(3)));


figure1 = figure('Color',...
    [0.972549019607843 0.972549019607843 0.972549019607843]);

% Create subplot
% subplot1 = subplot(1,2,1,'Parent',figure1);
% box(subplot1,'on');
% hold(subplot1,'all');

% Create multiple lines using matrix input to plot
plot1 = plot(rhovec,mat1,'LineWidth',3);
set(plot1(1),'LineStyle','-.','DisplayName','S $ = 10\%$');
set(plot1(2),'LineStyle','--','Color',[1 0 0],...
    'DisplayName','S $ = 50\%$');
set(plot1(3),'DisplayName','S $ = 90\%$','Color',[0 0 0]);

% Create xlabel
xlabel('Proportion of career options eligible for the subsidy  \bf{(\rho)}');

% Create ylabel
ylabel('Fraction of workers that switch careers \bf{(\pi-\rho/1-\rho)}');
print(figure1,'-dpdf','H:\Research\IncomeVolatility\WriteUp\QE_GoldCopy\Raw_Fig_PDFs\Figure_4.pdf')


%% Old figure, but keeping just in case
% legend2 = legend(plot1);
% set(legend2,'Interpreter','latex',...
%     'Position',[0.138063376212992 0.802107400627065 0.118769883351007 0.106979778212655]);
% 
% figure2 = figure('Color',...
%     [0.972549019607843 0.972549019607843 0.972549019607843]);
% 
% % Create subplot
% subplot3 = subplot(1,2,1,'Parent',figure2);
% box(subplot3,'on');
% hold(subplot3,'all');
% 
% % Create multiple lines using matrix input to plot
% plot3 = plot(rhovec,deltamumat,'Parent',subplot3,'LineWidth',3);
% set(plot3(1),'LineStyle','-.','DisplayName','S $ = 10\%$');
% set(plot3(2),'LineStyle','--','Color',[1 0 0],...
%     'DisplayName','S $ = 50\%$');
% set(plot3(3),'DisplayName','S $ = 90\%$','Color',[0 0 0]);
% 
% % Create xlabel
% xlabel('Fraction of careers affected by training  \bf{(\rho)}');
% 
% % Create ylabel
% ylabel('Change in average income \bf(\Delta\mu)');
% 
% % Create subplot
% subplot4 = subplot(1,2,2,'Parent',figure2);
% box(subplot4,'on');
% hold(subplot4,'all');
% 
% % Create multiple lines using matrix input to plot
% plot4 = plot(Svec,[deltamuvec2,deltamuvec3,deltamuvec4],'Parent',subplot4,'LineWidth',3);
% set(plot4(1),'LineStyle','-.','DisplayName','\rho=.10');
% set(plot4(2),'LineStyle','--','Color',[1 0 0],'DisplayName','\rho=.50');
% set(plot4(3),'DisplayName','\rho=.90','Color',[0 0 0]);
% 
% % Create xlabel
% xlabel('Increase in expected wage of training-relevant careers \bf (S)');
% 
% % Create ylabel
% ylabel('Change in average income \bf (\Delta\mu)');
% 
% % Create legend
% legend3 = legend(subplot4,'show');
% set(legend3,...
%     'Position',[0.576794250322971 0.785921553773961 0.0975609756097561 0.124592302674494]);
% 
% % Create legend
% legend4 = legend(subplot3,'show');
% set(legend4,'Interpreter','latex',...
%     'Position',[0.138063376212992 0.802107400627065 0.118769883351007 0.106979778212655]);


