

% medsig2vals comes from s2tenbins.m and is the weighted-average sigma
% value within each of the ten sigma bins

% fgonbin is 39x4 matrix with each column representing one gamma bin, and
% each row representing one gamma grid value from gdist (augmented with
% zero at the bottom so 39 values total)

midpoints=medsig2vals_new.^2;

gammavec=(0.00001:.1:5)';
actualcost=zeros(size(gammavec));
countfactcost=zeros(size(gammavec));
for i=1:length(gammavec)
    actualcost(i)=-sum(-.5*gammavec(i).*(midpoints).*myfsigzero.*exp(-.5*gammavec(i).*(midpoints)*mybetainv)/sum(myfsigzero.*exp(-.5*gammavec(i).*(midpoints)*mybetainv)));
    countfactcost(i)=-sum(-.5*gammavec(i).*(midpoints).*myfsigzero);
end

figure1 = figure('Color',[1 1 1]);

% Create axes
axes1 = axes('Parent',figure1);
box(axes1,'on');
hold(axes1,'all');

% Create multiple lines using matrix input to plot
plot1 = plot(gammavec,[actualcost,countfactcost],'LineWidth',3);
set(plot1(2),'LineStyle','--','Color',[1 0 0]);

% Create xlabel
xlabel('Risk aversion \bf($\widetilde{\gamma}$)','Interpreter','latex');

% Create ylabel
ylabel('Risk cost as a proportion of income','Interpreter','latex');
% riskcost=zeros(size(risktolerance));
% for i=1:length(risktolerance)
%     if riskavbin(i)==1
%         riskcost(i)=sum(fgonbin(:,1).*[0;actualcost'-countfactcost']);
%     elseif riskavbin(i)==2
%         riskcost(i)=sum(fgonbin(:,2).*[0;actualcost'-countfactcost']);
%     elseif riskavbin(i)==3
%         riskcost(i)=sum(fgonbin(:,3).*[0;actualcost'-countfactcost']);
%     elseif riskavbin(i)==4
%         riskcost(i)=sum(fgonbin(:,4).*[0;actualcost'-countfactcost']);
%     end
% end
print(figure1,'-dpdf','H:\Research\IncomeVolatility\WriteUp\QE_GoldCopy\Raw_Fig_PDFs\Figure_5.pdf')       



