function [fsigzero,theta]=fixbetasearch_structural(betainvfix,fsigzeroguess,thetaguess,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat)

%This function solves for the optimal fsigzero vector which is associated
%with a fixed betainv value, betainvfix. It simply maximizes the ln
%likelihood (betafixlnlikelihood.m) if beta has to be held at betafix.


% [mybetainv,fsigzero]=makemodelparams(.1,sum(data1,2).*exp(.5*5*sigmagridmat.^2)/sum(sum(data1,2)),...
%     [data1(:,4) data1(:,3) data1(:,2) data1(:,1)],sigmagridmat,gbins2,gdistbins,gdistpdf,cdfmax,fgamma);

options=optimset('MaxFunEvals',1e+10,'MaxIter',1e+10);


guess=zeros(9,1);
guess(1)=log(fsigzeroguess(1));
guess(2:9)=log(fsigzeroguess(3:10));
% size(guess)
% size(thetaguess)
guess=[guess;thetaguess'];
% size(guess)

[hyperparams,fval,exitflag] = fminsearch(@(x) betafixlnlikelihood_structural(betainvfix,x,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat),guess,options);
fsigzero(1)=exp(hyperparams(1));
fsigzero(3:10)=exp(hyperparams(2:9));
fsigzero(2)=1-sum(exp(hyperparams(1:9)));
theta=hyperparams(10:end);
% fsigzero
% theta

