function [betainv,fsigzero,theta]=fixpossearch_structural(betainvguess,fsigzeroguess,thetaguess,pos,p,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat,options)
% This function file searches for the optimal values of the non-fixed parameters that maximize the likelihood, 
% given the value p assigned to position "pos".

% verified this code works by looking at values of p at the optimum and
% returned all other optimum values.

% options=optimset('MaxFunEvals',1e+7);

if pos==1
        guess(1:8)=log(fsigzeroguess(3:10));
elseif pos==2
        guess(1)=log(fsigzeroguess(1));
        guess(2:8)=log(fsigzeroguess(4:10));
elseif pos==3
        guess(1)=log(fsigzeroguess(1));
        guess(2:8)=log(fsigzeroguess(4:10));
elseif pos>3 && pos<10
        guess(1)=log(fsigzeroguess(1));
        guess(2:pos-2)=log(fsigzeroguess(3:pos-1));
        guess(pos-1:8)=log(fsigzeroguess(pos+1:10));
else
        guess(1)=log(fsigzeroguess(1));
        guess(2:8)=log(fsigzeroguess(3:9));
end
guess(9)=betainvguess;
guess(10:9+length(thetaguess))=thetaguess;

logp=log(p);

[ourparams,fval,exitflag] = fminsearch(@(x) oneposfixlnlikelihood_structural(x,pos,logp,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat),guess,options);

if pos==1
        fsigzero(1)=exp(logp);
        fsigzero(2)=1-sum(exp(ourparams(1:8)))-fsigzero(1);
        fsigzero(3:10)=exp(ourparams(1:8));
elseif pos==2
        fsigzero(1)=exp(ourparams(1));
        fsigzero(2)=exp(logp);
        fsigzero(3)=1-exp(logp)-sum(exp(ourparams(1:8)));
        fsigzero(4:10)=exp(ourparams(2:8));
elseif pos==3
        fsigzero(1)=exp(ourparams(1));
        fsigzero(2)=1-exp(logp)-sum(exp(ourparams(1:8)));
        fsigzero(3)=exp(logp);
        fsigzero(4:10)=exp(ourparams(2:8));
elseif pos>3 && pos<10
        fsigzero(1)=exp(ourparams(1));
        fsigzero(2)=1-exp(logp)-sum(exp(ourparams(1:8)));
        fsigzero(3:pos-1)=exp(ourparams(2:pos-2));
        fsigzero(pos)=exp(logp);
        fsigzero(pos+1:10)=exp(ourparams(pos-1:8));
elseif pos==10
        fsigzero(1)=exp(ourparams(1));
        fsigzero(2)=1-sum(exp(ourparams(1:8)))-exp(logp);
        fsigzero(3:9)=exp(ourparams(2:8));
        fsigzero(pos)=exp(logp);
end

betainv=ourparams(9);
theta=ourparams(10:end);




