function [l]=lnlhood_structural(logvzeromat,betainv,fsigzero,theta,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat)


% fsigzeromat is the fsigzero vector repmatted for the number of columns equal to number of gamma values, 10x38 matrix
fsigzeromat=fsigzero*ones(1,length(gdist));
        
% fsiggam is 10x38 values of f(sigma|gamma). It is the product of f(sigmma|gamma=) and e^(-.5*sigma^2*gamma)
% The ./ just normalizes so each column sums to one (since they are probabilities).  Note gamma is still the fine 38 value grid at this point.
% old version: fsiggam=fsigzeromat.*exp(-.5*betainv*gamsigmat)./(ones(length(fsigzero),1)*sum(fsigzeromat.*exp(-.5*betainv*gamsigmat)));
fsiggam=fsigzeromat.*exp(betainv.*logvzeromat);                % old code here: ./repmat(sum(fsigzeromat.*exp(betainv*v_zero_mat),1),10,1);
fsiggam=fsiggam./repmat(sum(fsiggam,1),length(fsigzero),1);   % so probabilities sum to one

% append f(sigma|zero) to fsiggam, so now fsiggam has gamma=0 value in first column.  
fsiggam=[fsigzero,fsiggam];

% fSGnew1(2,3,4) is prob matrix of f(siggam|bin1(2,3,4)). Is 10x39 where prob of each of 39 gam values,
% (the 38 gamma grid values and gamma=0) is now determined by observed bin.
% Note, bin 1 is least risk averse, bin 4 most risk averse.
fsgnew1=fsiggam.*repmat(fgonbin(:,1)',length(fsigzero),1);
fsgnew2=fsiggam.*repmat(fgonbin(:,2)',length(fsigzero),1);
fsgnew3=fsiggam.*repmat(fgonbin(:,3)',length(fsigzero),1);
fsgnew4=fsiggam.*repmat(fgonbin(:,4)',length(fsigzero),1);

% fSG is prob of f(sigma^2|gamma_bin), so is 10x4. Most risk tolerant bin is first. 
fSG=[sum(fsgnew1,2),sum(fsgnew2,2),sum(fsgnew3,2),sum(fsgnew4,2)];

% fSGnew has each column equal to f(sigma2|gammabin(i)) for person/observation i, where by gammabin(i) 
% I mean the observed gamma bin for person i.  So fSGnew is 10 x number_of_obs.
fSGnew=fSG(:,riskavbin);

% fSGtot is fSGnew multiplied by the effect of covariate interaction on f(sigma2|gamma_bin).  
% So f(sigma2|gamma_bin)=f(sigma2|0)*e^((logvzeromat+theta*covariates_interacted_sigma2)/beta)
fSGtot=fSGnew.*exp(medsig2vals*theta*covmat');

% normalize so fSGtot columns sum to 1 after inclusion of covariates.
fSGtot=fSGtot./repmat(sum(fSGtot,1),length(fsigzero),1);

%% Log likelihood part

% lnprobmat is a 10x4 matrix of log probabilites where entry (i,j) is the log probability of an observation being in
% sigma bin i and risk aversion bin j

lnprobmat=log(fSGtot);

% L is the final log likelihood which sums the number of observations in each cell of the 10x4 matrix 
% and multiplies the sum by its associated log probability
l=sum(sum(databig.*lnprobmat,2));


