function [nlnL]=oneposfixlnlikelihood_structural(params,pos,logp,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat)
% This function file fixes one position of the fsigzero vector, and calculates the likelihood given the value 
% logp in the one fixed position, and the 10+length(theta) other values (9 remaining fsigzero values and 
% betainv and theta values).

% params is a 9+length(theta) element vector, the first 8 of which are fsigzero values (the 9th implied by these 8 and the logp value),
% and the 9th is betainv, and the 10th-length(theta) are theta values

if pos==1
        fsigzero(1)=exp(logp);
        fsigzero(2)=1-sum(exp(params(1:8)))-fsigzero(1);
        fsigzero(3:10)=exp(params(1:8));
elseif pos==2
        fsigzero(1)=exp(params(1));
        fsigzero(2)=exp(logp);
        fsigzero(3)=1-sum(exp(params(2:8)))-exp(logp)-fsigzero(1);
        fsigzero(4:10)=exp(params(2:8));
elseif pos==3
        fsigzero(1)=exp(params(1));
        fsigzero(2)=1-exp(logp)-sum(exp(params(1:8)));
        fsigzero(3)=exp(logp);
        fsigzero(4:10)=exp(params(2:8));
elseif pos>3 && pos<10
        fsigzero(1)=exp(params(1));
        fsigzero(2)=1-exp(logp)-sum(exp(params(1:8)));  % old code: sum(exp(params(2:pos-1)))-sum(exp(params(pos:8))));
        fsigzero(3:pos-1)=exp(params(2:pos-2));
        fsigzero(pos)=exp(logp);
        fsigzero(pos+1:10)=exp(params(pos-1:8));
elseif pos==10
        fsigzero(1)=exp(params(1));
        fsigzero(2)=1-sum(exp(params(1:8)))-exp(logp);
        fsigzero(3:9)=exp(params(2:8));
        fsigzero(pos)=exp(logp);
end


betainv=params(9);
theta=params(10:end);

[l]=lnlhood_structural(logvzeromat,betainv,fsigzero',theta,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat);
nlnL=-l;

% going to search over params



