function [gs,counted]=structuralGSpdf(id,sig2vec,risktol,weights,sigbinrange,rval)

numsigbins=length(sigbinrange(:,1));
numrisktol=length(rval);

gs=zeros(numsigbins,numrisktol); % gs holds joint distribution of sigbin x gamvals (10x4 in current version of paper)
counted=0;  % obs. added to counted once it is "counted" in loop below

% populate 10x4 grid with weighted observations
for i=1:length(sig2vec)    % number of people/observations
    for j=1:numrisktol     % number of distinct 1/gamma values
        for k=1:numsigbins % number of sigma2 bins
            if sig2vec(i)>sigbinrange(k,1) && sig2vec(i)<=sigbinrange(k,2) && risktol(i)==rval(j)
                gs(k,j)=gs(k,j)+weights(i);
                counted=counted+1;  % used to verify each observation gets put somewhere in 10x4 grid
            end
        end
    end
end