*This file builds the summary statistics to put into table1 of the paper

clear
log using "$startdir/$logfiles\Table1", replace text

use "$startdir/$outputdata\cleandata_final"

/* Set the "survey" specifics */
svyset id [pweight = weight]

gen halfgamsig=.5*riskav*avgsig2

svy: mean age edym race2 reallab numfamunit halfgamsig

*calculate means/st. dev using weights
estat sd

*to find mins and maxs
sum age edym race2 reallab numfamunit

*married %: divide first number by total number of weighted observations (second number)
egen weight_married=sum(weight) if marital==1
egen weight_total=sum(weight)
gen married_percentage=weight_married/weight_total
sum married_percentage
drop weight_married weight_total married_percentage

log close

