*This file builds income volatility distributions by risk aversion bin (Table 2 in paper)

clear
log using "$startdir/$logfiles\Table2", replace text

use "$startdir/$outputdata\cleandata_final"

/* Set the "survey" specifics */
svyset id [pweight = weight]

summ weight
scal sumwt=r(sum)

gen avg_sig=sqrt(avgsig2)
gen riskavdummy_1=0
replace riskavdummy_1=1 if riskavbin==1
gen riskavdummy_2=0
replace riskavdummy_2=1 if riskavbin==2
gen riskavdummy_3=0
replace riskavdummy_3=1 if riskavbin==3
gen riskavdummy_4=0
replace riskavdummy_4=1 if riskavbin==4

gen sigbindummy_1=0
gen sigbindummy_2=0
gen sigbindummy_3=0
gen sigbindummy_4=0
gen sigbindummy_5=0
gen sigbindummy_6=0
gen sigbindummy_7=0
gen sigbindummy_8=0
gen sigbindummy_9=0
gen sigbindummy_10=0

svyset id [pweight = weight]
_pctile avg_sig [pweight=weight], p(1, 5, 10, 30, 50, 70, 90, 95, 99)
return list

/****** USE THIS WHEN USING EXACT PERCENTILES; NOT DONE IN PAPER ********
replace sigbindummy_1=1  if avg_sig<r(r1)
replace sigbindummy_2=1  if avg_sig<r(r2) & avg_sig>=r(r1)
replace sigbindummy_3=1  if avg_sig<r(r3) & avg_sig>=r(r2)
replace sigbindummy_4=1  if avg_sig<r(r4) & avg_sig>=r(r3)
replace sigbindummy_5=1  if avg_sig<r(r5) & avg_sig>=r(r4)
replace sigbindummy_6=1  if avg_sig<r(r6) & avg_sig>=r(r5)
replace sigbindummy_7=1  if avg_sig<r(r7) & avg_sig>=r(r6)
replace sigbindummy_8=1  if avg_sig<r(r8) & avg_sig>=r(r7)
replace sigbindummy_9=1  if avg_sig<1     & avg_sig>=r(r8)
replace sigbindummy_10=1 if avg_sig==1
************************************************************************/

replace sigbindummy_1=1  if avg_sig<.164
replace sigbindummy_2=1  if avg_sig<.170  & avg_sig>=.164
replace sigbindummy_3=1  if avg_sig<.173  & avg_sig>=.170
replace sigbindummy_4=1  if avg_sig<.1775 & avg_sig>=.173
replace sigbindummy_5=1  if avg_sig<.180  & avg_sig>=.1775
replace sigbindummy_6=1  if avg_sig<.182  & avg_sig>=.180
replace sigbindummy_7=1  if avg_sig<.217  & avg_sig>=.182
replace sigbindummy_8=1  if avg_sig<.345  & avg_sig>=.217
replace sigbindummy_9=1  if avg_sig<1     & avg_sig>=.345
replace sigbindummy_10=1 if avg_sig==1

matrix Table2 = J(10,4,0)
matrix db= J(10,4,1)
*matrix list db
forvalues i = 1/10 {
	forvalues j = 1/4 {
	gen x=riskavdummy_`j'*sigbindummy_`i'*weight
	egen sumval=sum(x)
		 matrix Table2[`i',`j']= sumval[1]*db[`i',`j']*(1/sumwt)
	drop x sumval
	}
}

matrix X1=J(4,1,1)
matrix uncdist=Table2*X1
*matrix list uncdist
matrix X2 = J(1,10,1)
matrix colsum=X2*Table2
*matrix list colsum
scal X2_1=colsum[1,1]
scal X2_2=colsum[1,2]
scal X2_3=colsum[1,3]
scal X2_4=colsum[1,4]
*display X2_1 X2_2 X2_3 X2_4

matrix Table2_final = J(10,4,0)
forvalues i = 1/10 {
	forvalues j = 1/4 {
		 matrix Table2_final[`i',`j']= Table2[`i',`j']*(1/X2_`j')
	}
}

matrix numobs=[_N\1]
matrix uncdist=uncdist\numobs
*matrix list uncdist
matrix numobsvec=colsum*_N
matrix Table2_final=Table2_final\numobsvec
matrix Table2_final=Table2_final\colsum
matrix Table2_final=uncdist,Table2_final
matrix list Table2_final


log close

