#delimit;
*This code uses cleandata_final.dta to create table 4 in the paper,; 
*which is regression output of income risk on RHS variables;

******* Setup ******************************************;
clear;
set more off;

******* Load Data ******************************;
use "$startdir/$outputdata/cleandata_final.dta";
cd "$startdir/$outputtables";


*********** Run regressions *******************************;

*Column 1*;
regress avgsig2 riskav [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

*Column 2*;
regress avgsig2 riskav age [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 3*;
regress avgsig2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

gen avgsig2top=avgsig2;
replace avgsig2top=.345^2 if avgsig2top>.345^2;
*Column 4*;
regress avgsig2top riskav [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 5*;
regress avgsig2top riskav age [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 6*;
regress avgsig2top riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


*Column 7*;
regress lnavgsig2 riskav [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 8*;
regress lnavgsig2 riskav age [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 9*;
regress lnavgsig2 riskav age occdummy*  race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*ra_occdummy ra_occdummy *

*********** testing first three columns significance thresholds *******************************;


/* regress avgsig2 riskav [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_vol_thresholds1", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

regress avgsig2 riskav if avgsig2<.0332 [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_vol_thresholds1", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav if avgsig2<.0462 [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_vol_thresholds1", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav if avgsig2<.1114 [pweight=weight];
outreg2 riskav using "Table4_1991_1996_avgsig2_vol_thresholds1", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


regress avgsig2 riskav age [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_vol_thresholds2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

regress avgsig2 riskav age if avgsig2<.0332 [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_vol_thresholds2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav age if avgsig2<.0462 [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_vol_thresholds2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav age if avgsig2<.1114 [pweight=weight];
outreg2 riskav age using "Table4_1991_1996_avgsig2_vol_thresholds2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


regress avgsig2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_vol_thresholds3", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

regress avgsig2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid if avgsig2<.0332 [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_vol_thresholds3", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid  if avgsig2<.0462 [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_vol_thresholds3", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

regress avgsig2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid  if avgsig2<.1114 [pweight=weight];
outreg2 riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table4_1991_1996_avgsig2_vol_thresholds3", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


gen avgsig2top=avgsig2;
replace avgsig2top=.1114 if avgsig2top>.1114;
regress avgsig2top riskav age occdummy* race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
*/



/*
****************** MP Regressions start here **********************************************;


*********** Run regressions *******************************;

*Column 1*;
regress avgmp riskav [weight=weight];
outreg2 riskav using "Table3_1992_1995_avgmp_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

*Column 2*;
regress avgmp riskav age [weight=weight];
outreg2 riskav age using "Table3_1992_1995_avgmp_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;

*Column 3*;
regress avgmp riskav occdummy* ra_occdummy* age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [weight=weight];
outreg2 riskav occdummy* ra_occdummy* age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table3_1992_1995_avgmp_on_vars_weights", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;
*/







