#delimit;
*This code uses cleandata_final.dta to create table 6 in the paper, which is ;
*regressions of lnavgY on RHS variables;

******* Setup ******************************************;
clear;
set more off;

******* Load Data ******************************;
use "$startdir/$outputdata/cleandata_final.dta";
cd "$startdir/$outputtables";



*********** Run regressions *******************************;

**** With Population Weights ****;

*Column 1*;
regress lnavgY avgsig2 [pweight=weight];
outreg2 avgsig2 using "Table5_1991_1996_lnavgY_gamma_avgsig2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) replace;

*Column 2*;
regress lnavgY avgsig2 age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 avgsig2 age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table5_1991_1996_lnavgY_gamma_avgsig2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


*Column 3*;
regress lnavgY avgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav [pweight=weight];
outreg2 avgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav using "Table5_1991_1996_lnavgY_gamma_avgsig2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


*Column 4*;
regress lnavgY avgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 avgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table5_1991_1996_lnavgY_gamma_avgsig2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;


*Column 5*;
regress lnavgY avgsig2 avgsig2sq lnavgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid [pweight=weight];
outreg2 avgsig2 avgsig2sq lnavgsig2 riskavbin2 riskavbin3 riskavbin4 avgsig2_riskav age race2 race3 edym numfamunit havebaby numbaby haveskid numskid haveokid numokid using "Table5_1991_1996_lnavgY_gamma_avgsig2", nolabel ctitle($ctitle) bdec(3) se  rdec(3) append;










