#delimit;
clear;
set matsize 200;
set memory 200m;

**** Begin Merge Marriage History ****;
if "$gender"=="both" {;
        cd "$startdir\$inputdata";

        **************************************************************************
           Label           : Marriage History File 1985-2005
           Rows            : 49112
           Columns         : 20
           ASCII File Date : January 3, 2007
        *************************************************************************;


        infix
              MH1          1 - 4      MH2          5 - 7      MH3          8 - 8
              MH4          9 - 10     MH5         11 - 14     MH6         15 - 18
              MH7         19 - 21     MH8         22 - 23     MH9         24 - 25
              MH10        26 - 29     MH11        30 - 30     MH12        31 - 32
              MH13        33 - 36     MH14        37 - 38     MH15        39 - 42
              MH16        43 - 46     MH17        47 - 48     MH18        49 - 49
              MH19        50 - 51     MH20        52 - 52
        using "MH85_05.txt", clear
                ;
        label variable  MH1        "1968 INTERVIEW NUMBER OF INDIVIDUAL" ;
        label variable  MH2        "PERSON NUMBER OF INDIVIDUAL" ;
        label variable  MH3        "SEX OF INDIVIDUAL" ;
        label variable  MH4        "MONTH INDIVIDUAL BORN" ;
        label variable  MH5        "YEAR INDIVIDUAL BORN" ;
        label variable  MH6        "1968 INTERVIEW NUMBER OF SPOUSE" ;
        label variable  MH7        "PERSON NUMBER OF SPOUSE" ;
        label variable  MH8        "ORDER OF THIS MARRIAGE" ;
        label variable  MH9        "MONTH MARRIED" ;
        label variable  MH10       "YEAR MARRIED" ;
        label variable  MH11       "STATUS OF THIS MARRIAGE" ;
        label variable  MH12       "MONTH WIDOWED OR DIVORCED" ;
        label variable  MH13       "YEAR WIDOWED OR DIVORCED" ;
        label variable  MH14       "MONTH SEPARATED" ;
        label variable  MH15       "YEAR SEPARATED" ;
        label variable  MH16       "YEAR MOST RECENTLY REPORTED MARRIAGE" ;
        label variable  MH17       "NUMBER OF MARRIAGES OF THIS INDIVIDUAL" ;
        label variable  MH18       "LAST KNOWN MARITAL STATUS" ;
        label variable  MH19       "NUMBER OF MARRIAGE RECORDS" ;
        label variable  MH20       "RELEASE NUMBER" ;

        keep MH1 MH2 MH3 MH6 MH7 MH8 MH10 MH11 MH13 MH15;
        rename MH1 HDID68;
        rename MH2 HDpno68;
        rename MH6 WFID68;
        rename MH7 WFpno68;
        rename MH8 marrnum;
        rename MH10 yearmarried;
        rename MH11 marrstat;
        rename MH13 marrendyear;
        rename MH15 seppyear;
        sort HDID68 HDpno68 WFID68 WFpno68;


        label variable marrstat "head's final marital status";
                label define marrstatlbl 1 "Marriage intact";
                label define marrstatlbl 3 "Marriage end in widowhood" , add   ;
                label define marrstatlbl 4 "Marriage end in divorce/annul", add;
                label define marrstatlbl 5 "Spouses separated", add;
                label define marrstatlbl 7 "Other: other marr reported, prob bigamist", add;
                label define marrstatlbl 8 "NA; DK", add;
                label define marrstatlbl 9 "Inap.: never married", add;
                label values marrstat marrstatlbl;
        gen firstmarrbadyear=min(seppyear, marrendyear) if marrstat==4 | marrstat==5;
        replace firstmarrbadyear=9999 if marrstat!=4 & marrstat!=5;

        save "$startdir/$outputdata/marriagehistory", replace;
        clear;


        use "$startdir/$outputdata/final.dta";
        sort HDID68 HDpno68 WFID68 WFpno68 year;
        merge HDID68 HDpno68 WFID68 WFpno68 using "$startdir/$outputdata/marriagehistory.dta";
        drop _merge;
        keep if marrnum==1;
};
else if "$gender"=="male" {;
        use "$startdir/$outputdata/maleinc.dta";
};
else if "$gender"=="female" {;
        use "$startdir/$outputdata/femaleinc.dta";
};
**** End Merge Marriage History ****;


****Information on samples*****;
*Values for this variable in the range 0001-2930 indicate that the 1993 Head          ;
*(or Wife/"Wife" if the Head is nonsample) of FU was a member of a panel family       ;
*from the SRC cross-section core sample. Values in the range 5001-6872 denote         ;
*that the Head (or Wife/"Wife" if the Head is nonsample) was a member of a            ;
*panel family from the Census core sample. Values in the range 7001-9043              ;
*denote that the Head was a member of a panel family from the LNPS-Temple             ;
*(Latino) sample who was successfully interviewed in 1990. values in the range        ;
*9044-9308 indicate Latino recontacts, members of the LNPS who were not interviewed   ;
*for the first time until 1992.                                                       ;



**** NEW ELIMINATE LATINO AND POVERTY SAMPLE***;
if ("$gender"=="male"|"$gender"=="female") {;
        drop if ID68!=. & ID68>6872; *eliminate latino sample;
        if ("$sample"=="core") {;
                drop if ID68!=. & ID68>2930;
        };
        if ("$sample"!="original"&"$sample"!="core") {;
                stop;
        };

};

if ("$gender"=="both") {;
        drop if HDID68!=. & HDID68>6872;
        if ("$sample"=="core") {;
                drop if ID68!=. & ID68>2930;
        };
        if ("$sample"!="original"&"$sample"!="core") {;
                stop;
        };
};


**** Begin Age and Marriage Year Cleaning ****;
if "$couple"=="yes"{;
        keep if marital==1;
        keep if wifepresent==1;
};


if "$gender"=="both" {;
        keep if HDage>=$minage & HDage<$maxage+1 & WFage>=$minage & WFage<$maxage+1;
        keep if yearmarried!=. & yearmarried<=year ;
        keep if WFID68!=.; *keep only if there is a wife in 68;
        drop if firstmarrbadyear<1968;
        gen marrfail2p$topdif=1 if         firstmarrbadyear == year + $topdif + 2;
        replace marrfail2p$topdif=0 if     firstmarrbadyear  > year + $topdif + 2;
        gen marrpastfail2p$topdif=1 if     firstmarrbadyear  < year + $topdif + 2;
        replace marrpastfail2p$topdif=0 if firstmarrbadyear >= year + $topdif + 2;
        keep if year<firstmarrbadyear;
        gen numyrsmar=year-yearmarried;
};
else if ("$gender"=="male"|"$gender"=="female") {;
        keep if age>=$minage & age<$maxage+1;
};

**** End Age and Marriage Year Cleaning*******;



***** Create variables for kids**********;
gen numbaby=male1+female1;
gen numskid=male2+female2;
gen numokid=male3+male4+female3+female4;
gen haveskid=.;
replace haveskid=1 if numskid!=0;
replace haveskid=0 if numskid==0;
gen havebaby=.;
replace havebaby=1 if numbaby!=0;
replace havebaby=0 if numbaby==0;
gen haveokid=.;
replace haveokid=1 if numokid!=0;
replace haveokid=0 if numokid==0;

label variable havebaby "any kids aged 0-1";
label variable haveskid "any kids aged 2-6";
label variable haveokid "any kids aged 7-20";

label variable numbaby "# kids aged 0-1";
label variable numskid "# kids aged 2-6";
label variable numokid "# kids aged 7-20";


gen numkidstemp=numbaby+numskid+numokid;
replace numkids=numkidstemp if numkids==. & numkidstemp!=.;
gen havekids=0;
replace havekids=1 if numkidstemp!=0;
drop male* female*;

**** Begin Define Years of Marriage/Work ****;
if "$gender"=="both" {;
 if "$expvar"=="age"  { ;
        if "$x1"=="WFlabor" & "$x2"=="WFlabor" {;
                gen exp=WFage;
        };
        else {;
                gen exp=HDage;
        };
        keep if exp<$maxexp;
 } ;
 else if "$expvar"=="marriage"{;
        gen exp=numyrsmar;
 };
};
else if "$gender"=="male"|"$gender"=="female" {;
        gen exp=age;
};


*ID numbers for each individual and couple;
if "$gender"=="both" {;
        gen HDid = HDID68*1000 + HDpno68;
        gen WFid = WFID68*1000 + WFpno68;
        gen compactHDpno68=HDpno68 if HDpno68<50;
        replace compactHDpno68=HDpno68-123 if HDpno68>=170 & HDpno68<=222;
        replace compactHDpno68=26 if HDpno68==50;
        replace compactHDpno68=27 if HDpno68==223;
        replace compactHDpno68=28 if HDpno68==224;
        replace compactHDpno68=29 if HDpno68==227;
        gen compactWFpno68=WFpno68 if WFpno68<45;
        replace compactWFpno68=WFpno68-125 if WFpno68>=170 & WFpno68<=221;
        replace compactWFpno68=99 if WFpno68==227;
        gen double HDWFid = HDID68*10000 + 100*compactHDpno68+compactWFpno68;
        replace HDWFid= HDID68*10000 + 100*compactHDpno68 if compactWFpno68==.;
        drop if HDWFid==0;
        drop if HDid==. | WFid==.;
};
else if ("$gender"=="male"|"$gender"=="female") {;
        gen id=ID68*1000+pno68;
};



*Education;
if "$gender"=="both" {;
        egen HDedm = max(HDed ), by(HDWFid);
        egen WFedm = max(WFed ), by(HDWFid);
        label values HDedm edlbl;
        label values WFedm edlbl;
        egen HDedym= max(HDedy), by(HDWFid);
        egen WFedym= max(WFedy), by(HDWFid);
        replace HDedm =HDed  if year<1993 & HDed !=. & HDed >1;
        replace WFedm =WFed  if year<1993 & WFed !=. & WFed >1;
        replace HDedym=HDedy if year<1993 & HDedy!=. & HDedy>1;
        replace WFedym=WFedy if year<1993 & WFedy!=. & WFedy>1;
        replace HDedm=1 if HDedm==0;
        replace WFedm=1 if WFedm==0;
        tab HDedm, gen(HDedd);
        tab WFedm, gen(WFedd);
};
else if ("$gender"=="male"|"$gender"=="female") {;
        egen edm=max(ed), by(id);
        label values edm edlbl;
        egen edym=max(edy), by(id);
        replace edm=ed if year<1993 & ed!=. & ed>1;
        replace edym=edy if year<1993 & edy!=. & edy>1;
        replace edm=1 if edm==0;
        tab edm, gen(edd);
};

*Experience;
if "$gender"=="both" {;
        gen HDexppot=HDage-HDedym-5;
        gen WFexppot=WFage-WFedym-5;
};
else if ("$gender"=="male"|"$gender"=="female") {;
        gen exppot=age-edym-5;
};

*Occupation, initial;
if "$gender"=="both" {;
        sort HDWFid year;
        egen minyeartemp=min(year), by(HDWFid);
        gen HDsocctemp=HDsocc if minyeartemp==year;
        egen HDstartocc=max(HDsocctemp), by(HDWFid);
        drop minyeartemp HDsocctemp;
        label variable HDstartocc "initial occupation of HD";
        tab HDstartocc, gen(HDstartoccd);
        label values HDstartocc occlbl;
};
else if ("$gender"=="male"|"$gender"=="female") {;
        sort id year;
        egen minyeartemp=min(year), by(id);
        gen socctemp=socc if minyeartemp==year;
        egen startocc=max(socctemp), by(id);
        drop minyeartemp socctemp;
        label variable startocc "initial occupation of individual";
        tab startocc, gen(startoccd);
        label values startocc occlbl;
};

*Race;
*note that race is the same for both members of the family;
if "$gender"=="both" {;
        gen WFrace=HDrace;
        tab HDrace;
        egen HDracem= max(HDrace), by(HDWFid);
        tab HDracem, gen(HDraced);
        tab WFrace;
        egen WFracem= max(WFrace), by(HDWFid);
        tab WFracem, gen(WFraced);
};
else if ("$gender"=="male" |"$gender"=="female" ) {;
        egen racem=max(race), by(id);
        tab racem, gen(raced);
};


*Hours  ;
if "$gender"=="both" {;
        replace HDworkhrs=. if HDworkhrs==9999            ;
        replace WFworkhrs=. if WFworkhrs==9999            ;
        gen HDwork=0 if HDlabor!=.;
        replace HDwork=1 if HDlabor>=1000*cpiratio & HDlabor!=.;
        gen WFwork=0 if WFlabor!=.;
        replace WFwork=1 if WFlabor>=1000*cpiratio & WFlabor!=.;

        gen HDlif=HDlabor if HDlabor>1000*cpiratio & HDlabor!=.;
        gen WFlif=WFlabor if WFlabor>1000*cpiratio & WFlabor!=.;
};
else if ("$gender"=="male" |"$gender"=="female" ) {;
        replace workhrs=. if workhrs==9999            ;
        gen work=0 if labor!=.;
        replace work=1 if labor>=1000*cpiratio & labor!=.;
        gen lif=labor if labor>1000*cpiratio & labor!=.;
};



*RHS vars for program;
*We need to deal with observations that are very high or very low;
if "$gender"=="both" {;
        gen HDdroplab=0;
        replace HDdroplab=1  if (HDlabor==9998 | HDlabor==9999 | HDlabor==99998
                | HDlabor==99999 | HDlabor==-9999 | HDlabor==999999 | HDlabor==-99999
                | HDlabor==999999);
        gen WFdroplab=0;
        replace WFdroplab=1  if (WFlabor==9998 | WFlabor==9999 | WFlabor==99998
                | WFlabor==99999 | WFlabor==-9999 | WFlabor==999999 | WFlabor==-99999
                | WFlabor==999999);

        gen HDwage=HDlabor/HDworkhrs  ;
        gen HDrealwage=HDwage/cpiratio  ;
        gen HDreallab=HDlabor/cpiratio;
        gen WFwage=WFlabor/WFworkhrs  ;
        gen WFrealwage=WFwage/cpiratio  ;
        gen WFreallab=WFlabor/cpiratio;
        gen sumlabor=HDlabor+WFlabor;

        sort HDWFid year;
        egen HDWFmaxyr = max(year), by(HDWFid);
        egen HDWFminyr = min(year), by(HDWFid);
        gen HDWFnumyrs = HDWFmaxyr - HDWFminyr + 1;
        gen HDWFobs = year - HDWFminyr + 1;
        drop if HDWFnumyrs<$minobs;
};
else if ("$gender"=="male" |"$gender"=="female" ) {;
        gen droplab=0;
        replace droplab=1  if (labor==9998 | labor==9999 | labor==99998
                | labor==99999 | labor==-9999 | labor==999999 | labor==-99999
                | labor==999999);
        gen wage=labor/workhrs  ;
        gen realwage=wage/cpiratio  ;
        gen reallab=labor/cpiratio;
        sort id year;
        egen maxyr = max(year), by(id);
        egen minyr = min(year), by(id);
        gen numyrs = maxyr - minyr + 1;
        gen obs = year - minyr + 1;
        drop if numyrs<$minobs;
};


*Create variable for observed education of HD in first year of the sample;
if "$gender"=="both" {;
        gen HDed1temp=HDed if HDWFobs==1;
        egen HDed1=max(HDed1temp), by(HDWFid);
        drop HDed1temp;
};
else if ("$gender"=="male" |"$gender"=="female" ) {;
        gen ed1temp=ed if obs==1;
        egen ed1=max(ed1temp), by(id);
        drop ed1temp;
};


****key upper and lower bounds and variable definitions;
gen upperbound=202381*cpiratio;
gen lowerbound=5.15*1000*cpiratio;
gen x1dep=ln($x1);
replace x1dep=ln(upperbound) if $x1>upperbound & $x1!=.;
replace x1dep=ln(lowerbound) if $x1<lowerbound & $x1!=.;

gen x2dep=ln($x2);
replace x2dep=ln(upperbound) if $x2>upperbound & $x2!=.;
replace x2dep=ln(lowerbound) if $x2<lowerbound & $x2!=.;

*****Create age, experience, and education controls******;
gen exp2=exp^2;
gen exp3=exp^3;

if "$gender"=="both" {;
gen HDage2=HDage^2;
gen HDage3=HDage^3;
gen WFage2=WFage^2;
gen WFage3=WFage^3;
};
else if ("$gender"=="male" |"$gender"=="female" ) {;
      gen age2=age^2;
      gen age3=age^3;
};

label variable exp "# of years married";
label variable exp2 "(# of years married)^2";
label variable exp3 "(# of years married)^3";
tab year, gen(yd);

global numed=8;
local ednum=1;
while `ednum'<=$numed {;
  if "$gender"=="both" {;
        gen HDage1edd`ednum'=HDage  * HDedd`ednum';
        gen HDage2edd`ednum'=HDage2 * HDedd`ednum';
        gen HDage3edd`ednum'=HDage3 * HDedd`ednum';
        gen WFage1edd`ednum'=WFage  * WFedd`ednum';
        gen WFage2edd`ednum'=WFage2 * WFedd`ednum';
        gen WFage3edd`ednum'=WFage3 * WFedd`ednum';
  };
  else if ("$gender"=="male" |"$gender"=="female" ) {;
        gen age1edd`ednum'=age  * edd`ednum';
        gen age2edd`ednum'=age2 * edd`ednum';
        gen age3edd`ednum'=age3 * edd`ednum';
  };
  local ednum= `ednum'+1;
};

save "$startdir\$outputdata\finalclean_$gender$x1$x2.dta", replace;
