#delimit;

clear;
*set memory 500m;

*****begin set run name and date*****;
global date "GoldCopy";
global sample core; *original; *was core;  *coreposweightnone is defaultnow;
global weight "posweight"; *"allweight";   *or posweight;
global control yes; *"yes";  *or none;
global runname "$control$weight$sample";
*****end set run name and date*****;

*****begin folder locations*****;
global startdir "H:\Research\";
global direct "IncomeVolatility\Stata";
global inputdata "$direct\inputdata\inputdata_$date";
global outputdata "$direct\outputdata\outputdata_$date";
global dofiles "$direct\dofiles\dofiles_$date";
global logfiles "$direct\logs\logfiles_$date";
global outputtables "$direct\outputtables\outputtables_$date";
*used pre-20130204: global volvals "\output.allmen.fill.excess.mhdp2.py.w1.00-1.00-1.00.chain1.sigsq_modified.csv";;
global volvals "\Original_files_from_Shane\db_clean_avgvol_data.txt";

!mkdir "$startdir/$outputtables";
!mkdir "$startdir/$logfiles";
!mkdir "$startdir/$outputdata";
*****end folder locations*****;

*****begin controls and parameters*****;
global minobs=6;
global maxage=60;
global minage=22;
global maxexp=136;
global topdif 2;
global botdif 2;
global expvar "age";
global censor "no";
global censormin 0;
global censormax 100;
global couple "no";
global firststage "$control";
global x1 "labor";
global x2 "labor";
global gender "male";
*****end controls and parameters*****;

/************************************************************************************************************
Begin Jensen_Shore code here
************************************************************************************************************/;

*****begin build dataset, be sure to unset stars*****;
quietly do "$startdir\$dofiles\buildfam.do";          *build family-level data;
quietly do "$startdir\$dofiles\buildind.do";          *build individual-level data;
quietly do "$startdir\$dofiles\mergefamind.do";       *merge family- and individual-level data, moderate data cleaning;
quietly do "$startdir\$dofiles\clean.do";             *more data cleaning and build couple-, men-, or women-level data;
quietly do "$startdir\$dofiles\firststage.do";        *calculate excess log income;
quietly do "$startdir\$dofiles\makedifs.do";          *calculate changes in excess log income;
quietly do "$startdir\$dofiles\makeoutput.do";        *create output data for shane and also weighting files;
*****end build dataset, be sure to unset stars*****;

/************************************************************************************************************
Begin Barth-Shore-Jensen code here
************************************************************************************************************/;

quietly do "$startdir\$dofiles\clean_BSJ.do";

* Produce Tables 1, 2 (check), 3, and 5
do "$startdir\$dofiles\Table1_SumStats.do";
do "$startdir\$dofiles\Table2_VolDist_Check.do";
do "$startdir\$dofiles\Table3_IncomeRisk_vars.do";
do "$startdir\$dofiles\Table5_lnavgY_on_avgsig2.do";

