#delimit;

use "$startdir\$outputdata\firststage_$gender$x1$x2.dta";

if ("$gender"=="male" | "$gender"=="female"){;
        rename id HDWFid;
        rename numyrs HDWFnumyrs;
        rename minyr HDWFminyr;
        rename obs HDWFobs;

};

if "$x1"=="$x2" & "censor"=="yes"{;
        keep HDWFid year HDWFnumyrs HDWFmaxyr HDWFminyr HDWFobs $x1 minex1 maxex1 ex1 exp exp2 year ex2;
};
else if "$x1"=="$x2" & "censor"=="no"{;
        keep HDWFid year HDWFnumyrs HDWFmaxyr HDWFminyr HDWFobs $x1 ex1 exp exp2 year ex2;
};
else if "$x1"!="$x2" & "censor"=="yes"{;
        keep HDWFid year HDWFnumyrs HDWFmaxyr HDWFminyr HDWFobs $x1 $x2 minex1 maxex1 minex2 maxex2 ex1 ex2 exp exp2 year;
};
else if "$x1"!="$x2" & "censor"=="no"{;
        keep HDWFid year HDWFnumyrs HDWFmaxyr HDWFminyr HDWFobs $x1 $x2 ex1 ex2 exp exp2 year;
};

sort HDWFid HDWFobs;
fillin HDWFid HDWFobs;
sort HDWFid;
egen HDWFminyrtemp=mean(HDWFminyr), by(HDWFid);
replace HDWFminyr=HDWFminyrtemp if _fillin==1;
replace year=HDWFobs+HDWFminyr-1 if _fillin==1;
drop HDWFminyrtemp;
sort HDWFid HDWFobs;

global dropnodif "no";

gen ex1ndif_m_1 = (ex1[_n+$topdif]-ex1[_n-1-$botdif])
        if ex1[_n+$topdif]!=. & ex1[_n-1-$botdif]!=. & HDWFid[_n+$topdif]==HDWFid[_n-1-$botdif];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1ndif_m_1=. if maxex1[_n+$topdif]==1 & maxex1[_n-1-$botdif]==1;
        replace ex1ndif_m_1=. if minex1[_n+$topdif]==1 & minex1[_n-1-$botdif]==1;
};


gen ex1ndif_m_2 = (ex1[_n+$topdif]-ex1[_n-2-$botdif])
        if ex1[_n+$topdif]!=. & ex1[_n-2-$botdif]!=. & HDWFid[_n+$topdif]==HDWFid[_n-2-$botdif];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1ndif_m_2=. if maxex1[_n+$topdif]==1 & maxex1[_n-2-$botdif]==1;
        replace ex1ndif_m_2=. if minex1[_n+$topdif]==1 & minex1[_n-2-$botdif]==1;
};


gen ex1navg_m_1 = 0.5 * (ex1[_n+$topdif]+ex1[_n-1-$botdif])
        if ex1[_n+$topdif]!=. & ex1[_n-1-$botdif]!=. & HDWFid[_n+$topdif]==HDWFid[_n-1-$botdif];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1ndif_m_1=. if maxex1[_n+$topdif]==1 & maxex1[_n-1-$botdif]==1;
        replace ex1ndif_m_1=. if minex1[_n+$topdif]==1 & minex1[_n-1-$botdif]==1;
};

gen ex10dif_1 = (ex1[_n]-ex1[_n-1])
        if ex1[_n]!=. & ex1[_n-1]!=. & HDWFid[_n]==HDWFid[_n-1];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_1=. if maxex1[_n]==1 & maxex1[_n-1]==1;
        replace ex10dif_1=. if minex1[_n]==1 & minex1[_n-1]==1;
};


gen ex10dif_2 = (ex1[_n]-ex1[_n-2])
        if ex1[_n]!=. & ex1[_n-2]!=. & HDWFid[_n]==HDWFid[_n-2];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_2=. if maxex1[_n]==1 & maxex1[_n-2]==1;
        replace ex10dif_2=. if minex1[_n]==1 & minex1[_n-2]==1;
};


gen ex10dif_3 = (ex1[_n]-ex1[_n-3])
        if ex1[_n]!=. & ex1[_n-3]!=. & HDWFid[_n]==HDWFid[_n-3];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_3=. if maxex1[_n]==1 & maxex1[_n-3]==1;
        replace ex10dif_3=. if minex1[_n]==1 & minex1[_n-3]==1;
};


gen ex10dif_4 = (ex1[_n]-ex1[_n-4])
        if ex1[_n]!=. & ex1[_n-4]!=. & HDWFid[_n]==HDWFid[_n-4];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_4=. if maxex1[_n]==1 & maxex1[_n-4]==1;
        replace ex10dif_4=. if minex1[_n]==1 & minex1[_n-4]==1;
};

gen ex10dif_5 = (ex1[_n]-ex1[_n-5])
        if ex1[_n]!=. & ex1[_n-5]!=. & HDWFid[_n]==HDWFid[_n-5];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_5=. if maxex1[_n]==1 & maxex1[_n-5]==1;
        replace ex10dif_5=. if minex1[_n]==1 & minex1[_n-5]==1;
};


gen ex10avg_1 = 0.5 *   (ex1[_n]+ex1[_n-1])
        if ex1[_n]!=. & ex1[_n-1]!=. & HDWFid[_n]==HDWFid[_n-1];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_1=. if maxex1[_n]==1 & maxex1[_n-1]==1;
        replace ex10dif_1=. if minex1[_n]==1 & minex1[_n-1]==1;
};


gen ex1_1dif_2 = (ex1[_n-1]-ex1[_n-2])
        if ex1[_n-1]!=. & ex1[_n-2]!=. & HDWFid[_n]==HDWFid[_n-2];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1_1dif_2=. if maxex1[_n-1]==1 & maxex1[_n-2]==1;
        replace ex1_1dif_2=. if minex1[_n-1]==1 & minex1[_n-2]==1;
};


gen ex1_2dif_3 = (ex1[_n-2]-ex1[_n-3])
        if ex1[_n-2]!=. & ex1[_n-3]!=. & HDWFid[_n]==HDWFid[_n-3];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1_2dif_3=. if maxex1[_n-2]==1 & maxex1[_n-3]==1;
        replace ex1_2dif_3=. if minex1[_n-2]==1 & minex1[_n-3]==1;
};

gen ex1_3dif_4 = (ex1[_n-3]-ex1[_n-4])
        if ex1[_n-3]!=. & ex1[_n-4]!=. & HDWFid[_n]==HDWFid[_n-4];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1_3dif_4=. if maxex1[_n-3]==1 & maxex1[_n-4]==1;
        replace ex1_3dif_4=. if minex1[_n-3]==1 & minex1[_n-4]==1;
};


gen ex1_4dif_5 = (ex1[_n-4]-ex1[_n-5])
        if ex1[_n-4]!=. & ex1[_n-5]!=. & HDWFid[_n]==HDWFid[_n-5];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1_4dif_5=. if maxex1[_n-4]==1 & maxex1[_n-5]==1;
        replace ex1_4dif_5=. if minex1[_n-4]==1 & minex1[_n-5]==1;
};


gen ex1_5dif_6 = (ex1[_n-5]-ex1[_n-6])
        if ex1[_n-5]!=. & ex1[_n-6]!=. & HDWFid[_n]==HDWFid[_n-6];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1_5dif_6=. if maxex1[_n-5]==1 & maxex1[_n-6]==1;
        replace ex1_5dif_6=. if minex1[_n-5]==1 & minex1[_n-6]==1;
};

gen ex1ndif0 = (ex1[_n+$topdif]-ex1[_n])
        if ex1[_n+$topdif]!=. & ex1[_n]!=. & HDWFid[_n+$topdif]==HDWFid[_n];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex1ndif0=. if maxex1[_n+$topdif]==1 & maxex1[_n]==1;
        replace ex1ndif0=. if minex1[_n+$topdif]==1 & minex1[_n]==1;
};

gen ex10dif_m = (ex1[_n]-ex1[_n-$botdif])
        if ex1[_n]!=. & ex1[_n-$botdif]!=. & HDWFid[_n]==HDWFid[_n-$botdif];
if "$censor"=="yes" & "$dropnodif"=="yes"{;
        replace ex10dif_m=. if maxex1[_n]==1 & maxex1[_n-$botdif]==1;
        replace ex10dif_m=. if minex1[_n]==1 & minex1[_n-$botdif]==1;
};



if ("$gender"=="male" | "$gender"=="female"){;
        rename   HDWFid       id         ;
        rename   HDWFnumyrs   numyrs     ;
        rename   HDWFminyr    minyr      ;
        rename   HDWFobs      obs        ;

};

save "$startdir/$outputdata/momdifs_$gender$x1$x2.dta", replace;
save "$startdir/$outputtables/$runname$date/momdifs_$gender$x1$x2.dta", replace;

