#delimit;
clear;
set memory 500m;

quietly use "$startdir/$outputdata/momdifs_$gender$x1$x1.dta", replace;
sort id year;
sum id labor maxyr minyr;
egen maxyr2=max(maxyr), by(id);
drop if year>maxyr2;
drop if year<minyr;
keep year id weight weightnew ex1 _fillin;    *use weight which is more restrictive than weightnew;
gen weightorig=weight;
drop weight;
rename weightnew weight;
sort id year;
by id: replace weight=weight[_n-1] if weight==. & weight[_n-1]!=.;
egen meanyearweight=mean(weight), by(year);
replace weight=weight/meanyearweight;
replace weight=floor(10*weight+1);
tab year, sum(weight);
save "$startdir/$outputtables/$runname$date/hdpp_data_wweights", replace;

*****With missing -99 spots when there is missing data******;
quietly use "$startdir/$outputdata/momdifs_$gender$x1$x1.dta", replace;
sort id year;
sum id labor maxyr minyr;
egen maxyr2=max(maxyr), by(id);
drop if year>maxyr2;
drop if year<minyr;
keep year id ex1 maxyr maxyr2 minyr labor weight weightnew /*risktolerance risktolerance1*/; *use weight which is more restrictive than weightnew;
*be sure to put risk tolerance back;
sort id year;

*match ex1 values for id 725174 and 2302007 up to here;

sort id year;
by id: replace ex1=-99 if ex1==. & year==year[_n-1]+1 & year==year[_n+1]-1 & ex1[_n-1]!=. & ex1[_n+1]!=. ;
gen miss=1 if ex1==.;
egen nummiss=count(miss), by(id);
tab nummiss;
drop if nummiss>0; *actually greater than 1 because we filled all the 1 holes);


gen weightorig=weight;
drop weight;
rename weightnew weight;
gen weightunrounded=weight;

*by id: replace weight=weight[_n-1] if weight==. & weight[_n-1]!=.;
egen meanyearweight=mean(weight), by(year);
replace weight=weight/meanyearweight;
replace weight=floor(10*weight+1);
egen weighteverpos=max(weightunrounded), by(id);


        if ("$weight"=="posweight") {;
                keep if weighteverpos>0;
        };
        if ("$weight"!="posweight"&"$weight"!="allweight") {;
                stop;
        };

save "$startdir/$outputtables/$runname$date/hdpp_data_risktol", replace;

keep id year ex1 /*labor weight weightunrounded*/;
order id year ex1;
save "$startdir/$outputdata/hdpp_data_missing", replace;
save "$startdir/$outputtables/$runname$date/hdpp_data_missing", replace;
outsheet year id ex1 using "$startdir/$outputtables/$runname$date/hdpp_data_missing", comma replace;

